Show / Hide Table of Contents

# Enum ObjectKind

Enum describing possible entity kinds.

###### Namespace: Dalamud.Game.ClientState.Actors

###### Assembly: Dalamud.dll

##### Syntax

    public enum ObjectKind : byte

### Fields

Name | Description
--- | ---
Aetheryte | Objects representing aetherytes.
Area |
BattleNpc | Objects representing battle NPCs.
CardStand |
Companion | Objects representing minions.
Cutscene |
EventNpc | Objects representing event NPCs.
EventObj | Objects representing event objects.
GatheringPoint | Objects representing gathering points.
Housing | Objects representing housing objects.
MountType | Objects representing mounts.
None | Invalid actor.
Player | Objects representing player characters.
Retainer | Objects representing retainers.
Treasure | Objects representing treasures.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()